<?php
include('../getdocuments.php');


if (!isset($_SESSION['username'])) {
    header("Location: ../login.php");
    exit();
}




?>


<!DOCTYPE html>
<html lang="en">

<?php include 'head.php'; ?>

<body>


    <?php include 'left_navbar.php'; ?>
    <div class="all-content-wrapper">
        <?php include 'Navbar.php'; ?>
        <div class="header-advance-area">
            <div class="breadcome-area">
                <div class="container-fluid">
                    <div class="row" style="margin-top:50px">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="breadcome-list">
                                <div class="row">
                                    <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                                        <div class="breadcomb-wp">
                                            <div class="breadcomb-icon">
                                                <i class="icon nalika-home"></i>
                                            </div>
                                            <div class="breadcomb-ctn">
                                                <h2>Documents</h2>
                                                <p>Welcome <span class="bread-ntd"><?php echo strtoupper($_SESSION['username'])  ?></span></p>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="product-status mg-b-30">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="product-status-wrap">
                            <h4>Documents List</h4>

                            <table>
                                <tr>
                                    <th scope="col">Title</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Company name</th>
                                    <th scope="col">Type</th>
                                    <th scope="col">Download</th>
                                </tr>
                                <tr>

                                <tr>

                                <tr>
                                    <?php

                                    foreach ($allDocuments as $documentGroup) {

                                        if (is_array($documentGroup)) {
                                            foreach ($documentGroup as $item) {
                                                // Now $item will represent each document within 'read' or 'unread'
                                    ?>
                                <tr>
                                    <td><?php echo $item['title'] ?? 'No Title'; ?></td>
                                    <td><?php echo $item['status'] ?? 'No Status'; ?></td>
                                    <td><?php echo $item['company_name'] ?? 'No Company Name'; ?></td>
                                    <td><?php echo $item['type'] ?? 'No Type'; ?></td>

                                    <td>
                                        <?php if ($item['status'] !== 'unread') : ?>
                                            <a href="../download_code.php?id=<?php echo $item['id']; ?>" class="btn btn-success">
                                                <i class="fa-solid fa-download"></i>
                                            </a>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                    <?php
                                            }
                                        }
                                    }
                    ?>

                    </tr>
                    <tr>
                        <td colspan="5" style="color:red;">
                            <?php
                            if (isset($_SESSION['error_message'])) {
                                echo "<p>" . $_SESSION['error_message'] . "</p>";
                                unset($_SESSION['error_message']);
                            }
                            ?>
                        </td>
                    </tr>

                    </tr>


                    </tr>
                            </table>

                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>








    <?php include 'jquery.php'; ?>





</body>

</html>