<!DOCTYPE html>
<html lang="en">

<head>
   <?php include("auth-head.php") ?>
   <title>Sign Up - Economic Masonary</title>
   <link rel="stylesheet" href="assests/css/register.css">

</head>

<body>
    <div class="container center my-5 ">
        <div class="d-flex flex-column align-items-center mb-1">
            <img src="assests/img/logo.webp" alt="">
            <h3 class="text-center mx-2">Economic Masonary</h3><br>
        </div>
        <h3 class="text-center">Create an account</h3>
        <?php
    session_start(); // Start the session to access session variables

    if (isset($_SESSION['success'])) {
        echo "<p style='color: green;'>" . $_SESSION['success'] . "</p>";
        unset($_SESSION['success']); // Clear the success message after display
    }

    if (isset($_SESSION['error'])) {
        echo "<p style='color: red;'>" . $_SESSION['error'] . "</p>";
        unset($_SESSION['error']); // Clear the error message after display
    }
    ?>
        <form method="POST" action="register_code.php" class="d-flex flex-column justify-content-center">
            <div class="form-group">
                <label for="exampleInputEmail1">Email address</label>
                <input type="email" name="email" class="form-control" required id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Enter your email">
                <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
            </div>
            <div class="form-group">
                <label for="exampleInputPassword1">Password</label>
                <input type="password" name="password" required class="form-control" id="exampleInputPassword1" placeholder="Password">
            </div>
            <div class="form-group">
                <label for="exampleInputname1">Full Name</label>
                <input type="text" name="name" required class="form-control" placeholder="Enter your Full Name">
            </div>
            <div class="form-group">
                <label for="exampleCompany1">Company name</label>
                <input type="text" name="company_name" required class="form-control" placeholder="Please Input the EXACT company name">
            </div>
            <div class="form-group">
                <label for="home_states">Choose Corporation Home State</label>
                <select name="home_states" required class="form-select w-100" aria-label="Default select example">
                    <option disabled selected value="">Choose Corporation Home State</option>
                    <option value="Alabama">Alabama</option>
                    <option value="Alaska">Alaska</option>
                    <option value="American Samoa">American Samoa</option>
                    <option value="Arizona">Arizona</option>
                    <option value="Arkansas">Arkansas</option>
                    <option value="California">California</option>
                    <option value="Colorado">Colorado</option>
                    <option value="Connecticut">Connecticut</option>
                    <option value="Delaware">Delaware</option>
                    <option value="District of Columbia">District of Columbia</option>
                    <option value="Federal">Federal</option>
                    <option value="Florida">Florida</option>
                    <option value="Georgia">Georgia</option>
                    <option value="Guam">Guam</option>
                    <option value="Hawaii">Hawaii</option>
                    <option value="Idaho">Idaho</option>
                    <option value="Illinois">Illinois</option>
                    <option value="Indiana">Indiana</option>
                    <option value="Iowa">Iowa</option>
                    <option value="Kansas">Kansas</option>
                    <option value="Kentucky">Kentucky</option>
                    <option value="Louisiana">Louisiana</option>
                    <option value="Maine">Maine</option>
                    <option value="Maryland">Maryland</option>
                    <option value="Massachusetts">Massachusetts</option>
                    <option value="Michigan">Michigan</option>
                    <option value="Minnesota">Minnesota</option>
                    <option value="Mississippi">Mississippi</option>
                    <option value="Missouri">Missouri</option>
                    <option value="Montana">Montana</option>
                    <option value="Nebraska">Nebraska</option>
                    <option value="Nevada">Nevada</option>
                    <option value="New Hampshire">New Hampshire</option>
                    <option value="New Jersey">New Jersey</option>
                    <option value="New Mexico">New Mexico</option>
                    <option value="New York">New York</option>
                    <option value="North Carolina">North Carolina</option>
                    <option value="North Dakota">North Dakota</option>
                    <option value="Northern Mariana Islands">Northern Mariana Islands</option>
                    <option value="Ohio">Ohio</option>
                    <option value="Oklahoma">Oklahoma</option>
                    <option value="Oregon">Oregon</option>
                    <option value="Pennsylvania">Pennsylvania</option>
                    <option value="Puerto Rico">Puerto Rico</option>
                    <option value="Rhode Island">Rhode Island</option>
                    <option value="South Carolina">South Carolina</option>
                    <option value="South Dakota">South Dakota</option>
                    <option value="Tennessee">Tennessee</option>
                    <option value="Texas">Texas</option>
                    <option value="U.S. Virgin Islands">U.S. Virgin Islands</option>
                    <option value="Utah">Utah</option>
                    <option value="Vermont">Vermont</option>
                    <option value="Virginia">Virginia</option>
                    <option value="Washington">Washington</option>
                    <option value="West Virginia">West Virginia</option>
                    <option value="Wisconsin">Wisconsin</option>
                    <option value="Wyoming">Wyoming</option>
                </select>
    </div>



    <div class="form-group">
            <label for="businessType" class="form-label">Choose a business type:</label>
            <select id="businessType" name="business_type" required class="form-select w-100">
                
                <option value="Corporation">Corporation </option>
               
            </select>
    </div>
            <div class="d-flex justify-content-center align-items-center mt-3">
                <button type="submit" class="btn btn-success w-50 mt-3">Submit</button>
            </div>
        </form>
        <div class="text-center mt-3">
                <a href="login.php" class="text-muted">Already have an account?</a>
            </div>
    </div>





    <?php include("script.php") ?>



 
</body>

</html>